org.apache.ignite.internal.util.typedef

## Interface C2<E1,E2,R>

Type Parameters:
  `E1` - Type of the first free variable, i.e. the element the closure is called or closed on.
  `E2` - Type of the second free variable, i.e. the element the closure is called or closed on.
  `R` - Type of the closure's return value.

All Superinterfaces:
  IgniteBiClosure<E1,E2,R>, Serializable

    public interface C2<E1,E2,R>
    extends IgniteBiClosure<E1,E2,R>

Defines `alias` for `IgniteBiClosure` by extending it. Since Java doesn't provide type aliases (like Scala, for example) we resort to these types of measures. This is intended to provide for more concise code in cases when readability won't be sacrificed. For more information see `IgniteBiClosure`.

See Also:
  `GridFunc`, `IgniteBiClosure`

### Method Summary

### Methods inherited from interface org.apache.ignite.lang.IgniteBiClosure

`apply`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.4.0
Release Date | : September 24 2015